GET enrollments
GET
/enrollmentsAuthorizationBearer <token>
Paste your JWT token here
In: header
Query Parameters
FromMemberId?string
The unique identifier of the member for which to retrieve enrollments. This field is optional, and if provided, it allows for filtering enrollments based on the associated member, enabling the retrieval of enrollments specific to a particular member within the system. If not provided, enrollments for all members may be retrieved based on other criteria or without any member-specific filtering.
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://loading/enrollments"[
{
"isOnWaitingList": true,
"member": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"studentNumber": 0,
"firstName": "string",
"lastName": "string",
"email": "user@example.com",
"phoneNumber": "string",
"street": "string",
"houseNumber": "string",
"postalCode": "string",
"city": "string",
"dateOfBirth": "2019-08-24T14:15:22Z",
"parentPhoneNumber": "string",
"mailSubscriptions": 0,
"notes": "string",
"registeredOn": "2019-08-24T14:15:22Z",
"preferredLanguage": "NL",
"studyEnrollments": [
{
"id": 0,
"memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",
"memberName": "string",
"studyId": 0,
"studyTitle": "string",
"studyType": "Bachelor",
"enrollmentDate": "2019-08-24T14:15:22Z",
"completionDate": "2019-08-24T14:15:22Z",
"status": "Enrolled"
}
],
"groupMemberships": [
{
"id": 0,
"memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",
"memberName": "string",
"groupId": 0,
"groupName": "string",
"groupType": "Committee",
"membershipYear": 0,
"roleAliasId": 0,
"roleAliasName": "string"
}
],
"gratie": true,
"lidVanVerdienste": true,
"ereLid": true,
"begunstiger": true,
"suspended": true,
"profilePicturePath": "string"
},
"specificationAnswers": [
{
"questionId": 0,
"answerId": 0,
"answer": "string"
}
],
"price": 0,
"activity": {
"id": 0,
"name": "string",
"price": 0.1,
"posterPath": "string",
"posterFileName": "string",
"dutchDescription": "string",
"englishDescription": "string",
"dateTimeStart": "2019-08-24T14:15:22Z",
"dateTimeEnd": "2019-08-24T14:15:22Z",
"unenrollmentDeadline": "2019-08-24T14:15:22Z",
"enrollmentDeadline": "2019-08-24T14:15:22Z",
"enrollOpenDate": "2019-08-24T14:15:22Z",
"location": "string",
"participantLimit": 0,
"organizerId": 0,
"showInKoala": true,
"showOnWebsite": true,
"isEnrollable": true,
"areParticipantsVisible": true,
"isAdultOnly": true,
"allowedAudience": "None",
"isWeeklyDrinks": true,
"vatRate": 0,
"glAccountId": "string",
"costCenterId": "string",
"costUnitId": "string",
"enrollments": [
{
"isOnWaitingList": true,
"member": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"studentNumber": 0,
"firstName": "string",
"lastName": "string",
"email": "user@example.com",
"phoneNumber": "string",
"street": "string",
"houseNumber": "string",
"postalCode": "string",
"city": "string",
"dateOfBirth": "2019-08-24T14:15:22Z",
"parentPhoneNumber": "string",
"mailSubscriptions": 0,
"notes": "string",
"registeredOn": "2019-08-24T14:15:22Z",
"preferredLanguage": "NL",
"studyEnrollments": [
{
"id": 0,
"memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",
"memberName": "string",
"studyId": 0,
"studyTitle": "string",
"studyType": "Bachelor",
"enrollmentDate": "2019-08-24T14:15:22Z",
"completionDate": "2019-08-24T14:15:22Z",
"status": "Enrolled"
}
],
"groupMemberships": [
{
"id": 0,
"memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",
"memberName": "string",
"groupId": 0,
"groupName": "string",
"groupType": "Committee",
"membershipYear": 0,
"roleAliasId": 0,
"roleAliasName": "string"
}
],
"gratie": true,
"lidVanVerdienste": true,
"ereLid": true,
"begunstiger": true,
"suspended": true,
"profilePicturePath": "string"
},
"specificationAnswers": [
{
"questionId": 0,
"answerId": 0,
"answer": "string"
}
],
"price": 0,
"activity": {}
}
],
"specificationQuestions": [
{
"questionDutch": "string",
"questionEnglish": "string",
"type": "String",
"isMandatory": true,
"isPublic": true,
"options": [
"string"
],
"id": 0
}
],
"paymentDeadline": "2019-08-24T14:15:22Z",
"isOpenForPayment": true
}
}
]{
"message": "string"
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}